Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.landlord
Class ConstrainableLandlordLeaseMap

    java.lang.Object
      com.sun.jini.lease.AbstractLeaseMap
          com.sun.jini.landlord.LandlordLeaseMap
              com.sun.jini.landlord.ConstrainableLandlordLeaseMap

All Implemented Interfaces:
  LeaseMap, Map

public final class ConstrainableLandlordLeaseMap
extends LandlordLeaseMap

Constrainable sub-class of `LandlordLeaseMap`.

Since:
  2.0

Field Summary

Fields inherited from class com.sun.jini.lease.AbstractLeaseMap
`map`

Method Summary
`boolean` | `canContainKey(Object key)` Returns true if the given object is a Lease which can be renewed and cancelled in a batch with other leases in the map.

Methods inherited from class com.sun.jini.landlord.LandlordLeaseMap
`cancelAll, renewAll`

Methods inherited from class com.sun.jini.lease.AbstractLeaseMap
`checkKey, checkValue, clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### canContainKey

    public boolean canContainKey(Object key)

  Description copied from interface: `LeaseMap`
  Returns true if the given object is a Lease which can be renewed and cancelled in a batch with other leases in the map. Whether or not two Lease objects can be batched is an implementation detail determined by the objects.

  Specified by:
    `canContainKey` in interface `LeaseMap`
  Overrides:
    `canContainKey` in class `LandlordLeaseMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved